TMEXPAND(1)

NAME
tmexpand - jed text-macro processor

SYNOPSIS

tmexpand [ --version] [ -g] [ -Iinclude-dir -Iinclude-dir ...] [ input-file|-] [ output-file|-]

DESCRIPTION

tmexpand is a simple jed-script program for expanding a text-macro file. Both the S-Lang and jed documentation, as well as the jedsoft.org web pages are written in text-macro format.

Included in the tmexpand distribution are macros for the creation of jedsoft.org style HTML pages, macros for producing linuxdoc and docbook SGML files, and macros for expanding S-Lang function text-macro documentation to the S-Lang help file format.

OPTIONS

--version
    Print version information

-g  Load with _traceback set to 1. This is useful for debugging tmexpand itself.

-Iinclude-dir
    Append the directory to the macro-directory search list.

REQUIREMENTS

tmexpand is a S-Lang script that is processed by the jed editor. Version 0.99-17 or later of the jed editor is required to run the script. To get the most out of tmexpand, jed should be compiled against S-Lang version 2.

USAGE

This section is incomplete.

BUGS

Debugging the output when something goes wrong can be tricky.

AUTHOR

The author of tmexpand is John E. Davis <jed@jedsoft.org>.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL